@echo off
setlocal enabledelayedexpansion
cd /d "%~dp0"
REM Ask for wim file, if not set
set "wim=%~2"
if "%wim%" == "" (
	set /p "wim=.wim: "
	set wim=!wim:"=!
)

REM Ask for wim index, if not set
set "index=%~3"
if "%index%" == "" (
	set /p "index=Index (* for all): "
	set index=!index:"=!
)

call "%pyexe%" run.py wim="%wim%" index=%index%
if not "%errorlevel%" == "0" goto error
call "%pyexe%" run.py wim="%wim%" index=%index% modpath=mods-trustedInstaller
if not "%errorlevel%" == "0" goto error
goto exit

:error
echo An error occured.
goto exit

:exit
pause